# 32/64bit spec-file
#
%define name libprojectm
%define version 2.1.0
%define release %mkrel 6
%define oname libprojectM
%define major 2
%define libname %mklibname projectm %major
%define develname %mklibname -d projectm
%define oldlibname %mklibname projectm

Summary: Visualization library for OpenGL based on Milkdrop 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: projectM-complete-%{version}-Source.tar.xz
License: LGPLv2+
Group: System/Libraries
Url: http://xmms-projectm.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: %{_lib}ftgl-devel
BuildRequires: %{_lib}visual-devel
BuildRequires: cmake
BuildRequires: %{_lib}glew-devel
BuildRequires: %{_lib}SDL-devel
BuildRequires: %{_lib}qt4-devel
BuildRequires: %{_lib}pulseaudio-devel
BuildRequires: libgomp-devel
Requires: %name-data >= %version

%description
projectM is a reimplementation of Milkdrop under OpenGL.

%package -n %libname
Summary: Visualization library for OpenGL based on Milkdrop
Group: System/Libraries
Requires: %name-data >= %version

%description -n %libname
projectM is a reimplementation of Milkdrop under OpenGL.


%package -n %libname-qt
Summary: Visualization library for OpenGL based on Milkdrop
Group: System/Libraries

%description -n %libname-qt
projectM is a reimplementation of Milkdrop under OpenGL.


%package projectM-pulseaudio
Summary: Visualization library for OpenGL based on Milkdrop 
Group: Graphics

%description projectM-pulseaudio
projectM is a reimplementation of Milkdrop under OpenGL.

%package -n %libname-libvisual
Summary:        Libvisual Collaboration for ProjectM
Group:          System/Libraries
Obsoletes:	libvisual-projectm < %version-%release
Provides:	libvisual-projectm = %version-%release

%description -n %libname-libvisual
projectM is an awesome music visualizer.
This package contains its libvisual collaboration libraries.


%package data
Summary: Visualization library for OpenGL based on Milkdrop 
Group: Graphics
Requires: fonts-ttf-bitstream-vera

%description data
projectM is a reimplementation of Milkdrop under OpenGL. This contains data
files and presets.


%package -n %develname
Summary: Visualization library for OpenGL based on Milkdrop
Group: Development/Libraries
Requires: %libname = %version
Provides: libprojectm-devel = %version-%release
Obsoletes: %mklibname -d projectm 0
Requires: libglew-devel
Conflicts: %oldlibname

%description -n %develname
projectM is a reimplementation of Milkdrop under OpenGL.


%prep
%setup -q -n projectM-complete-%{version}-Source
rm -fr build CMakeCache.txt
# fix up library paths to work on 64bit
# projectM source does not account for 64bit (TerryN)
sed -i -e "s|DESTINATION lib|DESTINATION %{_lib}|g" src/projectM-qt/CMakeLists.txt
sed -i -e "s|DESTINATION lib|DESTINATION %{_lib}|g" src/libprojectM/CMakeLists.txt
sed -i -e "s|lib/pkgconfig|%{_lib}/pkgconfig|g" src/libprojectM/CMakeLists.txt

%build
%cmake -DCMAKE_INSTALL_PREFIX=/usr \
 -DINCLUDE-NATIVE-PRESETS=OFF \
 -DINCLUDE-PROJECTM-TEST=OFF ..

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

#replace by symlink
ln -sf %_datadir/fonts/TTF/{Vera.ttf,VeraMono.ttf} %buildroot%_datadir/projectM/fonts/


%clean
rm -rf $RPM_BUILD_ROOT

%files data
%defattr(-,root,root)
%doc TODO.txt FAQ.txt COPYING.txt AUTHORS.txt 
%_datadir/projectM/

%files projectM-pulseaudio
%_bindir/projectM-pulseaudio
%_datadir/pixmaps/prjm16-transparent.svg
%_datadir/applications/projectM-pulseaudio.desktop


%files -n %libname
%defattr(-,root,root)
%_libdir/libprojectM.so.2
%_libdir/libprojectM.so.2.1.0

%files -n %libname-qt
%defattr(-,root,root)
%_libdir/libprojectM-qt.so.1
%_libdir/libprojectM-qt.so.1.10


%files -n %libname-libvisual
%defattr(-,root,root)
%_libdir/libvisual-0.4/actor/libprojectM_libvisual.so


%files -n %develname
%defattr(-,root,root)
%_libdir/pkgconfig/*.pc
%_includedir/libprojectM/
%_libdir/libprojectM.so
%_libdir/libprojectM-qt.so
%_includedir/libprojectM-qt/qprojectm_mainwindow.hpp


%changelog
* Sun Apr 04 2015 bb <bb> 2.1.0-6pclos2015
- build for updates
- disable parts that do not build

* Tue Dec 24 2013 bb <bb> 2.1.0-5pclos2013
- move dev rpm to dev package

* Thu Oct 31 2013 billyboy <billybot> 2.1.0-4pclos2013
- fix upgrade issue with libvisual-projectm

* Tue Oct 29 2013 billybot <billybot> 2.1.0-3pclos2013
- rebuild for updated libs

* Fri Jan 25 2013 pinoc <vogtpet at gmail.com>  2.1.0-2pclos2013
- fixed BuildRequires on 64bit (thanks TerryN)
- fixed installation to account for 64bit (thanks TerryN)
- put qt-files in qt-package instead of devel  (thanks TerryN)

* Sun Oct 28 2012 Neal <nealbrks0 at gmail dot com> 2.1.0-1pclos2012
- process

* Sat Oct 27 2012 Ken <lxgator at gmail.com> 2.1.0-1pclos2012
- 2.1.0

* Fri Jun 24 2011 Texstar <texstar at gmail.com> 2.0.1-2pclos2011
- rebuild for new mesa

* Tue Jun 22 2010 Texstar <texstar at gmail.com> 2.0.1-1pclos2010
- 2.0.1

* Tue May 18 2010 Texstar <texstar at gmail.com> 2.0.0-1pclos0210
- update 


